<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: NeoPixelWiFiEventHandler.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NeoPixelWiFiEventHandler.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * NeoPixelWiFiEventHandler.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Mar 1, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef MAIN_NEOPIXELWIFIEVENTHANDLER_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define MAIN_NEOPIXELWIFIEVENTHANDLER_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;WiFiEventHandler.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;WS2812.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classNeoPixelWiFiEventHandler.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classNeoPixelWiFiEventHandler.html">NeoPixelWiFiEventHandler</a>: <span class="keyword">public</span> <a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a> {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="classNeoPixelWiFiEventHandler.html">NeoPixelWiFiEventHandler</a>(gpio_num_t gpioPin);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classNeoPixelWiFiEventHandler.html">NeoPixelWiFiEventHandler</a>();</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    esp_err_t <a class="code" href="classNeoPixelWiFiEventHandler.html#a0fac3188d6fc34c614e6ba60e8b06b8e">apStart</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    esp_err_t <a class="code" href="classNeoPixelWiFiEventHandler.html#a3f0c1253e8355f4abe1d8dee09db1fec">staConnected</a>(system_event_sta_connected_t info) <span class="keyword">override</span>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    esp_err_t <a class="code" href="classNeoPixelWiFiEventHandler.html#a2c1336ec495c8aa04fd5118932a479bb">staGotIp</a>(system_event_sta_got_ip_t info) <span class="keyword">override</span>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    esp_err_t <a class="code" href="classNeoPixelWiFiEventHandler.html#a3cc5b4d8d4bd3385972d1a1ae864f46d">staDisconnected</a>(system_event_sta_disconnected_t info) <span class="keyword">override</span>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    esp_err_t wifiReady() <span class="keyword">override</span>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    esp_err_t staStart() <span class="keyword">override</span>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    gpio_num_t gpioPin;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classWS2812.html">WS2812</a>* ws2812;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;};</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* MAIN_NEOPIXELWIFIEVENTHANDLER_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classWS2812_html"><div class="ttname"><a href="classWS2812.html">WS2812</a></div><div class="ttdoc">Driver for WS2812/NeoPixel data.</div><div class="ttdef"><b>Definition:</b> WS2812.h:49</div></div>
<div class="ttc" id="classNeoPixelWiFiEventHandler_html_a0fac3188d6fc34c614e6ba60e8b06b8e"><div class="ttname"><a href="classNeoPixelWiFiEventHandler.html#a0fac3188d6fc34c614e6ba60e8b06b8e">NeoPixelWiFiEventHandler::apStart</a></div><div class="ttdeci">esp_err_t apStart() override</div><div class="ttdoc">Handle the Access Point started event. Handle an indication that the ESP32 has started being an acces...</div><div class="ttdef"><b>Definition:</b> NeoPixelWiFiEventHandler.cpp:22</div></div>
<div class="ttc" id="classNeoPixelWiFiEventHandler_html"><div class="ttname"><a href="classNeoPixelWiFiEventHandler.html">NeoPixelWiFiEventHandler</a></div><div class="ttdoc">Color a neopixel as a function of the WiFi state.</div><div class="ttdef"><b>Definition:</b> NeoPixelWiFiEventHandler.h:20</div></div>
<div class="ttc" id="classNeoPixelWiFiEventHandler_html_a3cc5b4d8d4bd3385972d1a1ae864f46d"><div class="ttname"><a href="classNeoPixelWiFiEventHandler.html#a3cc5b4d8d4bd3385972d1a1ae864f46d">NeoPixelWiFiEventHandler::staDisconnected</a></div><div class="ttdeci">esp_err_t staDisconnected(system_event_sta_disconnected_t info) override</div><div class="ttdoc">Handle the Station Disconnected event. Handle having disconnected from remote AP.</div><div class="ttdef"><b>Definition:</b> NeoPixelWiFiEventHandler.cpp:36</div></div>
<div class="ttc" id="classNeoPixelWiFiEventHandler_html_a3f0c1253e8355f4abe1d8dee09db1fec"><div class="ttname"><a href="classNeoPixelWiFiEventHandler.html#a3f0c1253e8355f4abe1d8dee09db1fec">NeoPixelWiFiEventHandler::staConnected</a></div><div class="ttdeci">esp_err_t staConnected(system_event_sta_connected_t info) override</div><div class="ttdoc">Handle the Station Connected event. Handle having connected to remote AP.</div><div class="ttdef"><b>Definition:</b> NeoPixelWiFiEventHandler.cpp:29</div></div>
<div class="ttc" id="classNeoPixelWiFiEventHandler_html_a2c1336ec495c8aa04fd5118932a479bb"><div class="ttname"><a href="classNeoPixelWiFiEventHandler.html#a2c1336ec495c8aa04fd5118932a479bb">NeoPixelWiFiEventHandler::staGotIp</a></div><div class="ttdeci">esp_err_t staGotIp(system_event_sta_got_ip_t info) override</div><div class="ttdoc">Handle the Station Got IP event. Handle having received/assigned an IP address when we are a station.</div><div class="ttdef"><b>Definition:</b> NeoPixelWiFiEventHandler.cpp:50</div></div>
<div class="ttc" id="classWiFiEventHandler_html"><div class="ttname"><a href="classWiFiEventHandler.html">WiFiEventHandler</a></div><div class="ttdoc">WiFi state event handler.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.h:98</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
